use "3 - EP reelection.dta", clear

***Estimate Model
stset durat, f(fail)
stcox fed_deJure age EP_leader leadership farLeft female, nohr breslow

***Estimate Transition Probabilities

mstutil, sdur


****Set to NON FEDERAL System
mstcovar, clear
mstcovar fed_deJure, value(0)
mstcovar age,  value(median)
mstcovar EP_leader, value(median)
mstcovar leadership,value(median)
mstcovar farLeft, value(median)
mstcovar female, value(median)
mstcovar

set seed 1009
mstsample, sstage(1) stime(0) n(500) tmax(7) sims(1000) gen(nofed) //speed


****Set to  FEDERAL System
mstcovar, clear
mstcovar fed_deJure,  value(1)
mstcovar age,  value(median)
mstcovar EP_leader,  value(median)
mstcovar leadership,  value(median)
mstcovar farLeft,  value(median)
mstcovar female,  value(median)
mstcovar


set seed 9
mstsample, sstage(1) stime(0) n(500) tmax(7) sims(1000) gen(fed) ''speed


save "ms_EP_sim(MAR19).dta", replace

*********Plot Transition Probabilities*********
clear
use "ms_EP_sim(MAR19).dta"

*Compare Federal and Non-Federal Systems
twoway (line fed_Rslt_stage2_m fed_Rslt_t, sort lp(solid) lw(.25)) ///
	(line fed_Rslt_stage2_lb nofed_Rslt_t, sort lp(solid) lw(.1)) ///
	(line fed_Rslt_stage2_ub nofed_Rslt_t, sort lp(solid) lw(.1)) ///
	(line nofed_Rslt_stage2_m nofed_Rslt_t, sort lp(dash) lw(.25)) ///
	(line nofed_Rslt_stage2_lb nofed_Rslt_t, sort lp(dash) lw(.1)) ///
	(line nofed_Rslt_stage2_ub nofed_Rslt_t, sort lp(dash) lw(.1)) , ///
	scheme(s2mono) xtitle("Terms in Office") ytitle("Probability of MEP Turnover") ///
	graphregion(color(white) icolor(none) ) aspect(1) ///
	legend(on colfirst cols(1) order(1 4) ring(0) pos(4) label(1 "Federal System") label(4 "Non-Federal System")) 
